Skip to main content
`Ctrl`+`K`

# SNESShellGetContext

Returns the user-provided context associated with a `SNESSHELL`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESShellGetContext(SNES snes, PetscCtxRt ctx)

Not Collective

## Input Parameter

- snes - should have been created with `SNESSetType`(snes,`SNESSHELL`);

## Output Parameter

- ctx - the user provided context

## Fortran Notes

This only works when the context is a Fortran derived type or a `PetscObject`. Declare `ctx` with

      type(tUsertype), pointer :: ctx

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSHELL`, `SNESCreateShell()`, `SNESShellSetContext()`

## Level

advanced

## Location

src/snes/impls/shell/snesshell.c

## Examples

src/snes/tutorials/ex35.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages